Page MenuHomePhabricator

Remove GEHelpPanelSearchEnabled feature flag
Closed, ResolvedPublic

Description

The GEHelpPanelSearchEnabled feature flag was introduced before we had finalized search features for the help panel. In mediawiki-config this property is set to true for all wikis, and as far as I know we don't plan to deploy help panel to wikis with the search switched off. So, I propose we remove this code to ease maintenance burden and cognitive load when working with help panel.

Event Timeline

kostajh created this task.Sep 19 2019, 8:24 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2019, 8:24 AM

Change 537924 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Remove GEHelpPanelSearchEnabled feature flag

https://gerrit.wikimedia.org/r/537924

Ping @RHo and @MMiller_WMF for review and approval of this, before the patch itself is reviewed/merged.

RHo added a comment.Sep 19 2019, 9:12 AM

Unless @MMiller_WMF has plans otherwise this sounds fine to me, esp. as we are not working so actively on help panel in the next quarter or two.

@kostajh -- my understanding of this is you're saying that by removing this code, we would not be able to give some wikis a help panel without search, while giving other wikis help panel with search. If that's right, then this is fine with me.

my understanding of this is you're saying that by removing this code, we would not be able to give some wikis a help panel without search, while giving other wikis help panel with search. If that's right, then this is fine with me.

Yep that's right. Moving over to code review then.

Change 537924 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Remove GEHelpPanelSearchEnabled feature flag

https://gerrit.wikimedia.org/r/537924

kostajh claimed this task.Sep 25 2019, 10:07 AM
kostajh moved this task from Code Review to QA on the Growth-Team (Current Sprint) board.
Etonkovidova closed this task as Resolved.Sep 26 2019, 11:59 PM